Glib::Value< long long > Class Template Reference
Generic Values

`#include <glibmm/value_basictypes.h>`

Inheritance diagram for Glib::Value< long long >:
[legend]

## Public Types

typedef long long | CppType
typedef gint64 | CType

## Public Member Functions

void | set (long long data)
long long | get () const
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type. More...
| ValueBase (const ValueBase& other)
ValueBase& | operator= (const ValueBase& other)
| ~ValueBase ()
void | init (GType type)
| Setup the GValue for storing the specified type. More...
void | init (const GValue* value)
| Setup the GValue storing the type and value of the specified value. More...
void | reset ()
| Reset contents to the default value of its type. More...
GValue* | gobj ()
const GValue* | gobj () const

## Static Public Member Functions

static GType | value_type ()

## Additional Inherited Members

Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Member Typedef Documentation

typedef long long Glib::Value< long long >::CppType

typedef gint64 Glib::Value< long long >::CType

## Member Function Documentation

long long Glib::Value< long long >::get | ( |  | ) | const

void Glib::Value< long long >::set | ( | long long | data | ) |

static GType Glib::Value< long long >::value_type | ( |  | ) |

static